Click or drag to resize

RenderPlugInRenderWindow Method (RhinoDoc, RunMode, Boolean, RhinoView, Rectangle, Boolean, Boolean)

[Missing <summary> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

Namespace:  Rhino.PlugIns
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
protected virtual Result RenderWindow(
	RhinoDoc doc,
	RunMode modes,
	bool fastPreview,
	RhinoView view,
	Rectangle rect,
	bool inWindow,
	bool blowup
)

Parameters

doc
Type: RhinoRhinoDoc

[Missing <param name="doc"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

modes
Type: Rhino.CommandsRunMode

[Missing <param name="modes"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

fastPreview
Type: SystemBoolean

[Missing <param name="fastPreview"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

view
Type: Rhino.DisplayRhinoView

[Missing <param name="view"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

rect
Type: System.DrawingRectangle

[Missing <param name="rect"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

inWindow
Type: SystemBoolean

[Missing <param name="inWindow"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

blowup
Type: SystemBoolean

[Missing <param name="blowup"/> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

Return Value

Type: Result

[Missing <returns> documentation for "M:Rhino.PlugIns.RenderPlugIn.RenderWindow(Rhino.RhinoDoc,Rhino.Commands.RunMode,System.Boolean,Rhino.Display.RhinoView,System.Drawing.Rectangle,System.Boolean,System.Boolean)"]

Version Information

Rhino for Windows

Supported in: 6.6
See Also